This article was created in response to a support issue logged with K2. The content may include typographical errors and may be revised at any time without notice This article is not considered official documentation for K2 software and is provided “as is” with no warranties.

Issue

The  error below appears after selecting a package for deployment: 

Unsupported schema version 15 - version 14 or earlier is supported. Please update to the latest version.
Parameter name: xml

Image

Symptoms

  • Source and Target environments are running on K2 Blackpearl 4.7.
  • The Source environment has the latest 4.7 Cumulative Update and Fix Pack installed.
  • The Target environment did not have any of the Cumulative Updates or Fix Packs installed.

Kindly refer to the following KB article to determine the Cumulative Updates or Fix Packs installed in a 4.7 environment: https://help.k2.com/kb001893 

Troubleshooting Steps

Please ensure that both the Source and Target environments have the same Cumulative Update and Fix Pack installed.